Keyword-insights search
curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keywords": [
"<string>"
],
"granularity": "DAY",
"start_date": "<string>",
"end_date": "<string>"
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search"
payload = {
"keywords": ["<string>"],
"granularity": "DAY",
"start_date": "<string>",
"end_date": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keywords: ['<string>'],
granularity: 'DAY',
start_date: '<string>',
end_date: '<string>'
})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'keywords' => [
'<string>'
],
'granularity' => 'DAY',
'start_date' => '<string>',
'end_date' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search"
payload := strings.NewReader("{\n \"keywords\": [\n \"<string>\"\n ],\n \"granularity\": \"DAY\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"keywords\": [\n \"<string>\"\n ],\n \"granularity\": \"DAY\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"keywords\": [\n \"<string>\"\n ],\n \"granularity\": \"DAY\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyX
Keyword-insights search
Conversation volume on X for keywords over a window (daily or hourly), to size keyword targeting before committing budget. Costs 1 request.
CLI: adside x keyword-insights search
POST
/
v1
/
workspaces
/
{workspaceId}
/
x
/
keyword-insights
/
search
Keyword-insights search
curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keywords": [
"<string>"
],
"granularity": "DAY",
"start_date": "<string>",
"end_date": "<string>"
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search"
payload = {
"keywords": ["<string>"],
"granularity": "DAY",
"start_date": "<string>",
"end_date": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keywords: ['<string>'],
granularity: 'DAY',
start_date: '<string>',
end_date: '<string>'
})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'keywords' => [
'<string>'
],
'granularity' => 'DAY',
'start_date' => '<string>',
'end_date' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search"
payload := strings.NewReader("{\n \"keywords\": [\n \"<string>\"\n ],\n \"granularity\": \"DAY\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"keywords\": [\n \"<string>\"\n ],\n \"granularity\": \"DAY\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/x/keyword-insights/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"keywords\": [\n \"<string>\"\n ],\n \"granularity\": \"DAY\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.
Path Parameters
Minimum string length:
1Body
application/json
Keywords to measure conversation volume for.
Required array length:
1 - 100 elementsMinimum string length:
1Available options:
DAY, HOUR Shortcut for a date range. Default last_7d when no start_date/end_date given.
Available options:
today, yesterday, last_7d, last_14d, last_30d, this_month, last_month First day, YYYY-MM-DD, in the account's time zone.
Pattern:
^\d{4}-\d{2}-\d{2}$Last day (inclusive), YYYY-MM-DD, in the account's time zone. The exclusive end X wants is computed for you.
Pattern:
^\d{4}-\d{2}-\d{2}$Response
200 - application/json
Success